/* cyrillic-ext */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('/fonts/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZosUtiZTaR.woff2') format('woff2');
  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('/fonts/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZosUJiZTaR.woff2') format('woff2');
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* vietnamese */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('/fonts/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZosUliZTaR.woff2') format('woff2');
  unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('/fonts/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZosUhiZTaR.woff2') format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url('/fonts/TK3_WkUHHAIjg75cFRf3bXL8LICs1xZosUZiZQ.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* vietnamese */
@font-face {
  font-family: 'Anton';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('/fonts/1Ptgg87LROyAm3K8-C8QSw.woff2') format('woff2');
  unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
  font-family: 'Anton';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('/fonts/1Ptgg87LROyAm3K9-C8QSw.woff2') format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Anton';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('/fonts/1Ptgg87LROyAm3Kz-C8.woff2') format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
  margin: 0;
    
}

.justified{
  text-align: justify;
}

body{
  background: linear-gradient(180deg, #C9D6DF, #52616B);
  font-family: 'Manrope', sans-serif;
  font-size: 1em;

}
lien-icone{
  background-color: transparent;
}


header {
  background-color: white;
}

footer {
  background-color: #52616B;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 15px 0;
  justify-content: space-between;
  border-top: 5px solid #ffffff; 
  

}

nav{
  display: flex;
  padding: 15px 0;
  
}

.nav-content{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}


nav a {
  color: black;
  text-decoration: none;
  margin-left: 5px;
  padding: 13px 18px; /* Met la taille à la taille souhaitée */
  border-radius: 5px; /* Ajoute des bordures arrondies */
  transition: background-color 0.3s ease;
}


nav a:hover {
  padding: 13px 18px; /* Augmente la taille au survol */
  border-radius: 5px; /* Ajoute des bordures arrondies au survol */
  background-color: rgba(128, 128, 128, 0.638);
}

.accueil-introduction{
  background-color: #F0F5F9;
  display: flex;
  flex-direction: row;
  width: 800px;
  align-items: center;
  margin: auto;
  border-radius:10px;
}

.cta {
  background: linear-gradient(#8e86b5, #acaeed);
  color: white;
  border-radius: 50px;
  padding: 20px 30px;
}

.cta:hover {
  background: linear-gradient(#696484, #8788ba);
  text-decoration: none;
}

section {
  padding: 15px;
}

h1 {
  font-size: 1.5em;
  color: #1E2022;
  font-family: 'Montserrat', sans-serif;
}

em{
  color: rgb(158, 51, 51);
  font-style: normal;
  font-weight :bold;
}

img{
  border-radius: 10px;
}

.accueil-photos {
  background-color: white;
  padding: 80px;
}

.accueil-photos h2 {
  color: #242424;
  text-align: center;
  margin-bottom: 80px;
}

.accueil-photos div {
  display: flex;
  flex-direction: row;
  gap: 15px;
  justify-content: center;
  margin-bottom: 15px;
}

.accueil-photos div img {
  width: 300px; /* spécifie la largeur à 300 pixels */
  height: 328px; /* spécifie la hauteur à 200 pixels */
}

.Start_apropos{
  display: grid;
  justify-content: center;
  align-content: center;
  gap: 20px;
  background-color: #F0F5F9;
  width :23em;
  align-items: center;
  margin: auto;
  border-radius: 10px;
  padding: 20px; /* Ajout de padding pour un meilleur aspect */
  box-sizing: border-box; /* Inclure le padding dans la largeur totale */
}

.expérience{
  display:grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 20px;
}
.box{
  height: 200px;
  padding :10px;
  
}

.one{
  background-color: #F0F5F9;
  border-radius: 10px;
}

.two{
  background-color: #C9D6DF;
  border-radius: 10px;
}

.three{
  background-color: #F0F5F9;
  border-radius: 10px;
}

.four{
  background-color: #C9D6DF;
  border-radius: 10px;
}

.compétence{
  display:grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  gap: 20px;
  justify-items: center;
  align-items: center;
  background-color: #56576c;
  border-radius: 20px;
}

.back_comp{
  background-color: #7b88a4;
  padding: 20px;
  border-radius: 10px;
}

.formation{
  display:grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 20px;
}
.form{
  height: 200px;
  padding :10px;
  
}

.Apropos h2{
  display: block; /* Cela transforme le h2 en élément en ligne qui n'occupe que l'espace nécessaire pour son contenu */
  color: rgba(34, 28, 28, 0.923);
  padding: 30px 10px; /* J'ai modifié cela pour ajouter du padding des deux côtés */
  text-align: center;
  font-size: 2em;
  background-color: #add8e6;
  border-radius: 10px;
  margin: auto;
  width:300px ;

}

.dropdown{
  display: none;

}

/* Page Nos services*/

.Services{
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 10px;
}

.grid-item {
  position: relative;
  line-height: 0;
}

.Services img {
  width: 289px;
  height: 289px;
  object-fit: cover;
}

.image-text {
  position: absolute;
  bottom: 50px; /* Déplace le cadre vers le bas de l'image */
  left: 10px;  /* Déplace le cadre vers la gauche de l'image */
  width: 250px; /* Contrôle la largeur du cadre */
  height: 15%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  background-color: rgba(1, 1, 1, 0.671);
  text-align: center;
  border-radius: 10px;
  font-weight:bold;
}

.Services .grid-item:hover .image-text {
  visibility: hidden;
}

.overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(16, 15, 15, 0.781);
  overflow: hidden;
  width: 289px;
  height: 0;
  transition: .3s ease;
  border-radius: 10px;
}

.grid-item:hover .overlay {
  height: 100%;
}

.popup-text {
  color: white;
  font-size: 17px;
  position: absolute;
  top: 40%;
  left: 53%;
  transform: translate(-50%, -50%);
  visibility: hidden;
  line-height: 1;
  width: 95%;
}
.popup-text em{
  font-size: 18px;
  color: white;

}

.grid-item:hover .popup-text {
  visibility: visible;
}

.popup-text br {
  content: "\A";
  white-space: pre;
  display: block;
  margin-top: 7px; /* Vous pouvez ajuster cette valeur selon vos besoins */
}

.titre-mid {
  text-align: center;

}

/* Page Mon entreprise */

.Monentreprise-introduction{
  background-color: #F0F5F9;
  display: flex;
  flex-direction: row;
  width: 800px;
  align-items: center;
  margin: auto;
  border-radius:10px;
}

.Entreprise_presentation{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  gap:20px;

}

.Flex_Texte{
  display: flex;

}
.Maps{
  height: 400px;
}
.Maps iframe{
  width: 50vw;
  height: 50vh; 
  border-radius: 10px;
}

.Texte_maps{
  justify-items: center;
  background-color: #ffffff;
  border-radius: 10px;
  width: 400px;
  height: 100px;
  padding: 15px;
  margin-right: 0;  /* Pas de marge à droite */
  margin-left: auto; /* Marge à gauche auto pour pousser l'élément à droite */
  align-self: auto;
  margin-top: 50px;
  margin-bottom: auto;
}

.Monentreprise-introduction div{
 padding: 20px;
}

.Entreprise_presentation{
  background-color: #3e4144;
}

.title_Valeur{
  color: #000000;
  text-align: center;
  margin-bottom: 80px;
  font-size: 3em;
}

.Nos_Valeurs{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 15px;

}

.Satisfaction{
  grid-row-start: 1;
  grid-row-end: 3;
  background-color: #ffffff;
  height: 585px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  flex-direction: column;
  align-items: center;
}

.Efficacité{
  background-color: #ffffff;
  height: 275px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  flex-direction: column;
  align-items: center;

}

.Qualité{
  background-color: #ffffff;
  height: 275px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  flex-direction: column;
  align-items: center;


}
.Durabilité{
  background-color: #ffffff;
  height: 275px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  flex-direction: column;
  align-items: center;

}
.Sécurité{
  background-color: #ffffff;
  height: 275px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  flex-direction: column;
  align-items: center;

}

.Aligne{
  text-align: center;
  font-weight: bold;
  
}

.stars5 {
  padding-top: 80px;
}


/* Page Contactez-nous */
.Contact{
  display: flex;
  background-color: #F0F5F9;
  flex-direction: column;
  width: 900px;
  align-items: center;
  margin: auto;
  border-radius:10px;
  font-size: 20px;
  gap: 20px;

}

.Gros_contact{
  font-family: 'Anton', sans-serif;
  font-family: 'Merriweather', serif;
  font-size: 30px;
}

.Gros{
  font-size: 80px;

}

.Contact-grid{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: auto;
  border-radius:10px;
  font-size: 20px;
  gap: 20px;
}


.Tel{
  background-color: #F0F5F9;
  height: 250px;
  width: 550px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  align-items: center;
  gap: 20px;
}

.Mail{
  background-color: #F0F5F9;
  height:250px;
  width: 250px;
  padding :10px;
  border-radius: 10px;
  display: flex;
  flex-direction:column;
  align-items: center;
  gap: 20px;
}

.Contactecrit{
  font-family: 'Oswald', sans-serif;
  font-size: 80px;
}


.Mention{
  color:white;
  text-decoration: none;
  
}
.Mention:visited {
  color:white;
}

.Mention_Main {
  background-color: #B9CDDA;
  padding-left: 20px;
}

.Mention_div{
  text-align: left;
}




@media screen and (max-width: 1500px){

  .Services{
    grid-template-columns: repeat(4, 270px);
    grid-template-rows: 1fr 1fr;
    gap: 30px;
  }

}
@media screen and (max-width: 1250px){
  .Services{
    grid-template-columns: repeat(3, 270px);
    grid-template-rows: 1fr 1fr;
    gap: 30px;
  }

}

@media screen and (max-width: 910px){
  .Services{
    grid-template-columns: repeat(2, 270px);
    grid-template-rows: 1fr 1fr 1fr;
    gap: 30px;
  }

}

@media screen and (max-width: 600px){
  .Services{
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    justify-items: center;
    column-gap: 20px; 
    gap: 30px;
  }
  .Services div {
    display: flex;
    flex-direction: column;
  }
  .Tel{
    height:250px;
    width: 250px;
    padding :10px;
    
  }

  .Tel a{
    font-size: 15px;
  }
  
}


@media screen and (max-width: 1200px){
  .Satisfaction{
    height: 700px;
  }
  
  .Efficacité{
    height: 330px;
  }
  
  .Qualité{
    height: 330px;
  }

  .Durabilité{
    height: 330px; 
  }

  .Sécurité{
    height: 330px;
  }
  .stars5 {
    padding-top: 100px;
  }
}

@media screen and (max-width: 950px){
  .Monentreprise-introduction{
    background-color: #F0F5F9;
    display: flex;
    flex-direction: column;
    width: 800px;
    align-items: center;
    max-width: 90%;

  }
  .Monentreprise-introduction a img{
    max-width: 95%;
    height: auto;
    margin: 10px;

  }

  .Entreprise_presentation{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 40px 1fr;
    gap:180px;
  
  }
  .Flex_Texte{
    margin-right: auto;
    margin-left: auto;
  }
  
  .Maps{
    height: 400px;
    margin-right: auto;
    margin-left: auto;
  }
  .Maps iframe{
    width: 90vw;
    height: 50vh; 
    border-radius: 10px;
    
    
  }
  
  .Texte_maps{
    justify-items: center;
    background-color: #ffffff;
    border-radius: 10px;
    width: 80vw;
    height: 100px; 
  }
  .stars5 {
    display: none;
  }
  .Nos_Valeurs{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    gap: 15px;
    margin-left: auto;
    margin-right: auto;
  }

  .Satisfaction{
    background-color: #ffffff;
    height: 330px;
    padding :10px;
    border-radius: 10px;
    display: flex;
    flex-direction:column;
    flex-direction: column;
    align-items: center;
    grid-row-start: 1;
    grid-row-end: 1;
  }
  .Contact{
    background-color: #F0F5F9;
    display: flex;
    flex-direction: column;
    width: 800px;
    align-items: center;
    max-width: 90%;

  }
  .Contact img{
    max-width: 95%;
    height: auto;
    margin: 10px;

  }
  .Contact p{
    text-align: justify;

  }
  .Contactecrit{
    font-family: 'Oswald', sans-serif;
    font-size: 40px;
  }
  .Contact-grid{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
    border-radius:10px;
    font-size: 20px;
    gap: 20px;
  }
}

@media screen and (max-width: 430px){
  .Contactecrit{
    font-family: 'Oswald', sans-serif;
    font-size: 25px;
  }

}


@media screen and (max-width: 530px){
  .Nos_Valeurs{
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 15px;
    margin-left: auto;
    margin-right: auto;
  }

}


@media screen and (max-width: 1000px){
  .accueil-introduction{
    background-color: #F0F5F9;
    display: flex;
    flex-direction: column;
    width: 800px;
    align-items: center;
    max-width: 90%;
    
  }
  .accueil-introduction h1{
    white-space: normal;
  }
  .accueil-introduction p{
    white-space: normal;
  }
  .accueil-introduction img{
    max-width: 95%;
    height: auto;
    margin: 10px;

  }

  .cta-container {
    display: flex;
    justify-content: center; /* Centrer horizontalement */
  }
  
  .cta {
    font-size: 18px;
    cursor: pointer;
    background: linear-gradient(#8e86b5, #acaeed);
    color: white;
    padding: 20px 30px;
    border-radius: 50px;
    margin: 10px; /* Marge entre les éléments du conteneur */
  }

  .accueil-photos {
    background-color: white;
    padding: 10px;
  }
  
  .accueil-photos h2 {
    color: #242424;
    text-align: center;
    margin-top: 60px;
  }
  
  .accueil-photos div {
    display: flex;
    flex-direction: column;
  }
  
  

}

@media screen and (max-width: 1300px){
  .expérience{
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
  }
}


@media screen and (max-width: 760px){

  .nav-content a{
    display: none;
  }
  
  .dropdown {
    position: absolute;  
    right: 10px;
    display: inline-block;

    padding: 7px 12px; /* Met la taille à la taille souhaitée */
    border-radius: 5px; /* Ajoute des bordures arrondies */
    transition: background-color 0.3s ease;
  }
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 170px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 12px 16px;
    top: 45px;
    left:-130px
  }
  .dropdown:hover .dropdown-content {
    display: grid;
  }
  .dropdown:hover{
    padding: 7px 12px; /* Augmente la taille au survol */
    border-radius: 5px; /* Ajoute des bordures arrondies au survol */
    background-color: rgba(128, 128, 128, 0.638);
    z-index: 2;
  }
  
  .Start_apropos{
    align-items: center;
    max-width: 90%;

  }

  .Start_apropos h1{
    white-space: normal;
  }

  .Start_apropos img{
    max-width: 95%;
    margin: 10px;

  }
  .formation{
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
  }
  .form{
    height: 100px;
    padding :10px;
    
  }
}

